# Class CIM_EnabledLogicalElementCapabilities
extends CIM_Capabilities

EnabledLogicalElementCapabilities describes the capabilities supported for changing the state of the associated EnabledLogicalElement.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities

## Direct Known Subclasses

CIM_AccountManagementCapabilities
CIM_AlarmDeviceCapabilities
CIM_BootServiceCapabilities
CIM_CredentialManagementCapabilities
CIM_DHCPCapabilities
CIM_FCSwitchCapabilities
CIM_IndicatorLEDCapabilities
CIM_LaunchInContextCapabilities
CIM_LogicalPortCapabilities
CIM_MetricServiceCapabilities
CIM_OpaqueManagementDataCapabilities
CIM_OperatingSystemCapabilities
CIM_PlatformWatchdogServiceCapabilities
CIM_PowerUtilizationManagementCapabilities
CIM_ProcessorCapabilities
CIM_ProtocolServiceCapabilities
CIM_RecordLogCapabilities
CIM_RedirectionServiceCapabilities
CIM_VirtualSystemManagementCapabilities
CIM_WBEMServerCapabilities
CIM_WiFiEndpointCapabilities

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | EnabledLogicalElementCapabilities describes the capabilities supported for changing the state of the associated EnabledLogicalElement.
UMLPackagePath | string | CIM::Core::Capabilities
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ElementNameEditSupported | boolean |
Description | string | Boolean indicating whether the ElementName can be modified.
MappingStrings | string | FC-SWAPI.INCITS-T11|SWAPI_UNIT_CONFIG_CAPS_T|EditName
ModelCorrespondence | string | CIM_ManagedElement.ElementName
ElementNameMask | string |

Description

string

This string expresses the restrictions on ElementName.The mask is expressed as a regular expression.See DMTF standard ABNF with the Management Profile Specification Usage Guide, appendix C for the regular expression syntax permitted. Since the ElementNameMask can describe the maximum length of the ElementName,any length defined in the regexp is in addition to the restriction defined in MaxElementNameLen (causing the smaller value to be the maximum length) The ElementName value satisfies the restriction, if and only if it matches the regular expression

ModelCorrespondence | string | CIM_EnabledLogicalElementCapabilities.MaxElementNameLen
MaxElementNameLen | uint16 |
Description | string | Maximum supported ElementName length.
MappingStrings | string | FC-SWAPI.INCITS-T11|SWAPI_UNIT_CONFIG_CAPS_T|MaxNameChars
MaxValue | sint64 | 256
ModelCorrespondence | string | CIM_FCSwitchCapabilities.ElementNameEditSupported, CIM_EnabledLogicalElementCapabilities.ElementNameMask
RequestedStatesSupported | uint16[] |
Description | string | RequestedStatesSupported indicates the possible states that can be requested when using the method RequestStateChange on the EnabledLogicalElement.
ModelCorrespondence | string | CIM_EnabledLogicalElement.RequestStateChange
ValueMap | string | 2, 3, 4, 6, 7, 8, 9, 10, 11
Values | string | Enabled, Disabled, Shut Down, Offline, Test, Defer, Quiesce, Reboot, Reset

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods